The method allows:
To get SMS Senders status, make a request:
| GET http://one-api.bsg.world/api/senders/requests/sms |
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
| page[offset] | No | integer | 0 | Get the Sender registration applications starting from offset |
| page[limit] | No | integer | 50 | Number of applications in the response |
| sort | No | string | id | Sort by conditions: id, sender, status, country_code, created at |
| way | No | string | asc | Sorting options: asc, desc |
| filter[status] | No | string | no |
Filter for receiving applications in the selected status:
|
| filter[id] | No | integer | no | Filter for getting an application by its identifier |
| filter[country_code] | No | string | no |
Filter for getting applications by their Sender registration country.
Format according to ISO 3166-1 standard |
| filter[sender] | No | string | no |
Filter for getting applications by their Sender SMS Sender name.
Up to 15 characters |
| filter[created_at] | No | string | null | Filter to receive applications for the specified date of the application for registration, yyyy-mm-dd |
| Parameter | Type | Description |
|---|---|---|
| id | integer | Application for Seder registration ID |
| sender | string | SMS Sender name |
| status | string | Application status |
| created_at | string | Date and time of creating the application for Sender registration. Format ISO 8601: yyyy-mm-dd hh:mm:ss |
| registered_at | string|null | Sender registration date |
| status_changed_at | string|null | Date and time when the status of the application for Sender registration changed. Format ISO 8601: yyyy-mm-dd hh:mm:ss |
| country_code | string | Sender country, according to ISO 3166-1 Alpha-2 standard |
| code_of_company | string | Company code |
| tax_number | string | Legal entity ID |
| type | string | Sender type: sms |
| site_url | string|null | Company URL |
| name | string|null | Last name, first name, and middle name |
| legal_name | string|null | Legal entity name |
| address | string|null | Legal entity address |
| informing_purpose | string|null | Purpose of informing |
| comment | string|null | Comment |
| rejection_reason | string|null | Reason for rejecting the application for Sender registration. Displayed only for the “rejected” application status |
| description | string|null | Service description |
If the request is successful, you will receive a response:
{
"data": [
{
"id": 3152,
"sender": "sender",
"status": "new",
"created_at": "2021-04-27 19:44:06",
"registered_at": "2021-04-27 19:44:06",
"status_changed_at": "2021-04-27 19:44:06",
"country_code": "UA",
"code_of_company": "123123123",
"tax_number": "123123123",
"type": "sms",
"site_url": "https://dev-app.bsg.world",
"name": "name",
"legal_name": "juridical_name",
"address": "juridical_address",
"informing_purpose": "informing_purpose",
"comment": "comment",
"rejection_reason": "rejection_reason",
"description": "description"
}
],
"meta": {
"page": {
"total": 1,
"offset": 20,
"limit": 40
}
}
}